> ## Documentation Index
> Fetch the complete documentation index at: https://docs.run-lunar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects



## OpenAPI

````yaml /api-reference/openapi.json get /v1/projects
openapi: 3.1.0
info:
  description: >-
    Account-isolated orchestration and metering. Only the non-executing mock
    provider is available; no GPU resources are provisioned.
  title: Lunar Neo Cloud Control Plane
  version: 0.1.0
servers: []
security: []
paths:
  /v1/projects:
    get:
      tags:
        - Projects
      summary: List Projects
      operationId: list_projects_v1_projects_get
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectList'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: The request did not pass validation.
      security:
        - HTTPBearer: []
components:
  schemas:
    ProjectList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProjectRead'
          title: Items
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - items
        - next_cursor
      title: ProjectList
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - error
        - request_id
      title: ErrorResponse
      type: object
    ProjectRead:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
        - created_at
      title: ProjectRead
      type: object
    ErrorBody:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ErrorBody
      type: object
    ValidationErrorDetail:
      properties:
        field:
          title: Field
          type: string
        type:
          title: Type
          type: string
      required:
        - field
        - type
      title: ValidationErrorDetail
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.